//////////////////////////////////////////
// TextToSpeech.cpp
//Copyright (c) 11/19/2020 by BCCSkelton
//////////////////////////////////////////
#include	"TextToSpeech.h"
#include	"CCLIPBOARD.h"
#include	"CVOICE.h"
#include	"User.h"
#include	"TextToSpeechProc.h"

////////////////
// WinMain関数
////////////////
int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,
					LPSTR lpCmdLine, int nCmdShow) {

	//*.txtファイル付きで起動する場合（g_ByFileフラグを立てる）
	if(Arg.c() > 1)	g_ByFile = TRUE;

	//２重起動防止
	if(!TextToSpeech.IsOnlyOne()) {
		HWND hWnd = FindWindow("MainWnd", "TextToSpeech");
		if(IsIconic(hWnd))
			ShowWindow(hWnd, SW_RESTORE);
		SetForegroundWindow(hWnd);
		SendMessage(hWnd, WM_COMMAND, IDM_OPEN, 0);
		return 0L;
	}

	//唯のダイアログとして起動している
	TextToSpeech.DoModal(NULL, "IDD_MAIN", ModalProc, hInstance);

/* モードレスダイアログにするとToolBar、StatusBarにチップが付かないので注意
	//モードレスダイアログを作成Create(hParent, DlgName, DlgProc);
	if(!TextToSpeech.Create(NULL, hInstance, "IDD_MAIN", ModelessProc))
		return 0L;
	//メッセージループに入る
	return TextToSpeech.Loop();
*/
	return 0;
}
